package robocup.lab.opponent;

import org.apache.log4j.BasicConfigurator;

import robocup.lab.intelligent.IntelligentTeam;

import atan.model.AbstractTeam;

/**
 * The Class OpponentRun.
 */
public class OpponentRun {

	/**
	 * The main method.
	 *
	 * @param args the arguments
	 */
	public static void main(String[] args) {
        BasicConfigurator.configure();
		AbstractTeam team = null;
        if (args.length == 0) {
            team = new OpponentTeam("Opp1", 6000, "localhost");
        } else {
            Integer val      = new Integer(args[0]);
            int     port     = val.intValue();
            String  hostname = args[1];
            team = new IntelligentTeam("Opp1", port, hostname);
        }
        team.connectAll();
	}

}
